# $Revision: 1.10 $, $Date: 2012/06/26 23:05:17 $
#
# Conditional build:
%bcond_without	verbose		# verbose build (V=1)

%include	/usr/lib/rpm/macros.perl
Summary:	Mosh mobile shell
Name:		mosh
Version:	1.2.2
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://github.com/downloads/keithw/mosh/%{name}-%{version}.tar.gz
# Source0-md5:	7ed5b857307685794dcd120afe5bdf52
URL:		http://mosh.mit.edu/
BuildRequires:	libutempter-devel
BuildRequires:	ncurses-devel
BuildRequires:	protobuf
BuildRequires:	protobuf-devel
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Remote terminal application that allows roaming, supports intermittent
connectivity, and provides intelligent local echo and line editing of
user keystrokes.

Mosh is a replacement for SSH. It's more robust and responsive,
especially over Wi-Fi, cellular, and long-distance links.

%prep
%setup -q
%{__sed} -i -e '1s,^#!.*perl,#!%{__perl},' scripts/mosh

%build
%configure \
	--enable-compile-warnings=error \
	CPPFLAGS="-I/usr/include/ncurses"
%{__make} \
	%{?with_verbose:V=1}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS THANKS
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-client
%attr(755,root,root) %{_bindir}/%{name}-server
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-client.1*
%{_mandir}/man1/%{name}-server.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mosh.spec,v $
Revision 1.10  2012/06/26 23:05:17  draenog
- up to 1.2.2; fixes CVE-2012-2385

Revision 1.9  2012/04/29 22:34:16  glen
- up to 1.2; boost dependency is gone

Revision 1.8  2012/04/29 22:29:11  glen
- rebuild for protobuf

Revision 1.7  2012/04/23 12:54:19  glen
- verbose build. default on

Revision 1.6  2012/04/23 12:53:12  glen
- -Werror is not make opt

Revision 1.5  2012/04/23 11:34:29  caleb
- Compile with warnings as errors for extra security per distributor advice on https://github.com/keithw/mosh

Revision 1.4  2012/04/21 20:51:52  glen
- seems working; rel 1

Revision 1.3  2012/04/21 18:20:31  glen
- generate perl deps, now IO::Pty solved properly

Revision 1.2  2012/04/21 17:30:18  glen
- deps should be autogenerated; remove template leftovers

Revision 1.1  2012/04/21 15:08:29  caleb
- Initial add
